Subject: Re: [PATCH/RFC?] usb/input: Add support for fn key on Apple PowerBooks

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 01 Jan 2006 17:09:02 +1100

On Sun, 2006-01-01 at 04:03 +0100, Michael Hanselmann wrote:
> On Sun, Jan 01, 2006 at 01:56:47PM +1100, Benjamin Herrenschmidt wrote:
> > I've been using the other patch for some time now and while it's a
> > life-saver, it does have one annoying little issue: If you press a key
> > with the Fn key down and release that key with the Fn key up, your key
> > is stuck.
> 
> I noticed something like that with the numlock key as well but didn't
> have time to fix it yet.
> 
> Other than that, have you found any keys that aren't mapped or are
> mapped incorrectly?

I haven't but then I haven't tested in depth neither. Such little bugs
if any can always be fixed later anyway.

> The new patch adds quite some code to hid-input.c, should it be
> configuratible via .config?

Possibly yes, since it's only useful for mac laptops...

Ben.